Package org.apache.ignite.logger.java

## Class JavaLoggerFileHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - org.apache.ignite.logger.java.JavaLoggerFileHandler

-     public final class JavaLoggerFileHandler
      extends StreamHandler

  File logging handler which skips all the messages until node ID is set.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaLoggerFileHandler()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()`
    `@Nullable String` | `fileName()` | Returns current log file.
    `void` | `flush()`
    `boolean` | `isLoggable​(LogRecord record)`
    `static File` | `logDirectory​(String workDir)` | Resolves logging directory.
    `void` | `nodeId​(@Nullable String app, @Nullable UUID nodeId, String workDir)` | Sets Node id and instantiates `FileHandler` delegate.
    `void` | `nodeId​(UUID nodeId, String workDir)` | Sets Node id and instantiates `FileHandler` delegate.
    `void` | `publish​(LogRecord record)`
    `String` | `toString()`

    - ### Methods inherited from class java.util.logging.StreamHandler

      `setEncoding, setOutputStream`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaLoggerFileHandler

          public JavaLoggerFileHandler()

  - ### Method Detail

    - #### publish

          public void publish​(LogRecord record)

      Overrides:
        `publish` in class `StreamHandler`

    - #### flush

          public void flush()

      Overrides:
        `flush` in class `StreamHandler`

    - #### close

          public void close()
                     throws SecurityException

      Overrides:
        `close` in class `StreamHandler`
      Throws:
        `SecurityException`

    - #### isLoggable

          public boolean isLoggable​(LogRecord record)

      Overrides:
        `isLoggable` in class `StreamHandler`

    - #### nodeId

          public void nodeId​(UUID nodeId,
                             String workDir)
                      throws IgniteCheckedException,
                             IOException

      Sets Node id and instantiates `FileHandler` delegate.
      Parameters:
        `nodeId` - Node id.
        `workDir` - param.
      Throws:
        `IgniteCheckedException`
        `IOException`

    - #### nodeId

          public void nodeId​(@Nullable
                             @Nullable String app,
                             @Nullable
                             @Nullable UUID nodeId,
                             String workDir)
                      throws IgniteCheckedException,
                             IOException

      Sets Node id and instantiates `FileHandler` delegate.
      Parameters:
        `app` - Application name.
        `nodeId` - Node id.
        `workDir` - Path to the work directory.
      Throws:
        `IgniteCheckedException`
        `IOException`

    - #### fileName

          @Nullable
          public @Nullable String fileName()

      Returns current log file.
      Returns:
        Pattern or `null` if node id has not been set yet.

    - #### logDirectory

          public static File logDirectory​(String workDir)
                                   throws IgniteCheckedException

      Resolves logging directory.
      Parameters:
        `workDir` - Work directory.
      Returns:
        Logging directory.
      Throws:
        `IgniteCheckedException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`